> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-013b37f0.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Blocked Messages

> Lists the messages blocked by the moderation service.



## OpenAPI

````yaml get /apps/{appId}/moderation/blocked-messages
openapi: 3.0.0
info:
  title: Management APIs (Multi-Tenancy)
  description: Create and manage apps on-the-fly using our app management APIs
  version: '1.0'
servers:
  - url: https://apimgmt.cometchat.io
security: []
tags:
  - name: App
    description: The Rest collection for app.
  - name: Extensions
    description: The REST collections for extensions.
  - name: Extensions
    description: The REST collections for Chat widgets.
  - name: Extensions
    description: The REST collections for Giphy extension.
  - name: Extensions
    description: The REST collections for XSS Filter extension.
  - name: Extensions
    description: The REST collections for Image Moderation extension.
  - name: Extensions
    description: The REST collections for Report user extension.
  - name: Extensions
    description: The REST collections for Report message extension.
  - name: Extensions
    description: The REST collections for Sentiment analysis extension.
  - name: Extensions
    description: The REST collections for Voice transcription extension.
  - name: Extensions
    description: The REST collections for Stipop extension.
  - name: Extensions
    description: The REST collections for TinyURL extension.
  - name: Extensions
    description: The REST collections for Intercom extension.
  - name: Extensions
    description: The REST collections for Bitly extension.
  - name: Extensions
    description: The REST collections for Rich media preview extension.
  - name: Extensions
    description: The REST collections for Virus Malware Scanner extension.
  - name: Extensions
    description: The REST collections for Video Broadcasting extension.
  - name: Extensions
    description: The REST collections for Tenor gifs extension.
  - name: Extensions
    description: The REST collections for End-to-end encryption extension.
  - name: Extensions
    description: The REST collections for In-flight message moderation extension.
  - name: Extensions
    description: The REST collections for Stickers extension.
  - name: Extensions
    description: The REST collections for Data masking extension.
  - name: Extensions
    description: The REST collections for Email replies extension.
  - name: Extensions
    description: The REST collections for SMS Notification extension.
  - name: Extensions
    description: The REST collections for Push notification extension.
  - name: Extensions
    description: The REST collections for Chatwoot extension.
  - name: Extensions
    description: The REST collections for Message shortcuts extension.
  - name: Extensions
    description: The REST collections for Email Notification extension.
  - name: Team Management
    description: The REST collections for team management.
  - name: Settings
    description: The REST collections for Settings.
  - name: Extensions
    description: The REST collections for Profanity-filter extension.
  - name: Webhooks
    description: The REST collections for Webhooks.
  - name: Moderation
    description: The REST collections for Moderations.
paths:
  /apps/{appId}/moderation/blocked-messages:
    get:
      tags:
        - Moderation
      summary: List Blocked Messages
      description: Lists the messages blocked by the moderation service.
      operationId: list-moderation-blocked-messages
      parameters:
        - $ref: '#/components/parameters/key'
        - $ref: '#/components/parameters/secret'
        - $ref: '#/components/parameters/appId'
      responses:
        '200':
          description: List Blocked Messages
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  - ruleId: image-moderation
                    ruleName: AI Image Moderation
                    revisionId: 253156be20433c97_image-moderation_4
                    condition:
                      id: 1
                      isKeywordsReferencePresent: false
                      isMediaPresent: true
                      entity: message
                      operand: image
                      category: word
                      operator: contains
                      value:
                        - Any unsafe content_greaterThan_70
                      message:
                        - >-
                          Image contains Any unsafe content with confidence
                          greater than 70
                      weight: 1
                    message:
                      id: '65'
                      muid: _5zytzmceo
                      conversationId: superhero1_user_superhero2
                      sender: superhero1
                      receiverType: user
                      receiver: superhero2
                      category: message
                      type: image
                      data:
                        metadata:
                          file: []
                        resource: >-
                          WEB-4_0_3-ffa565b2-476e-493d-aeb5-4c750aae3ab1-1719925738505
                        url: >-
                          https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg
                        attachments:
                          - name: download.jpeg
                            extension: jpeg
                            size: 4761
                            mimeType: image/jpeg
                            url: >-
                              https://data-eu.cometchat.io/2601293c931567f7/media/1719993037_336554568_9e044ea0ed5817381b189680f392bafe.jpeg
                        entities:
                          sender:
                            entity:
                              uid: superhero1
                              name: Iron Man
                              avatar: >-
                                https://data-eu.cometchat.io/assets/images/avatars/ironman.png
                              status: offline
                              role: default
                            entityType: user
                          receiver:
                            entity:
                              uid: superhero2
                              name: Captain America
                              avatar: >-
                                https://data-eu.cometchat.io/assets/images/avatars/captainamerica.png
                              status: offline
                              role: default
                              conversationId: superhero1_user_superhero2
                            entityType: user
                        moderation:
                          status: pending
                      sentAt: 1719993037
                      updatedAt: 1719993037
                    action:
                      - blockMessage
                    createdAt: 1719993038
                    updatedAt: 1719993038
                meta:
                  current:
                    limit: 50
                    count: 20
components:
  parameters:
    key:
      name: key
      in: header
      description: Authorization Key
      required: true
      schema:
        type: string
    secret:
      name: secret
      in: header
      description: Authorization Secret
      required: true
      schema:
        type: string
    appId:
      name: appId
      in: path
      description: AppID in which the extension has to be enabled/disabled
      required: true
      schema:
        type: string
  schemas:
    webhookSchema:
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        enabled:
          type: boolean
      type: object

````